---
services:
  opencloud:
    depends_on:
      jsonviewer-init:
        condition: service_completed_successfully

  jsonviewer-init:
    image: opencloudeu/web-extensions:json-viewer-1.0.0
    user: root
    volumes:
      - opencloud-apps:/apps
    entrypoint:
      - /bin/sh
    command: ["-c", "cp -R /usr/share/nginx/html/json-viewer/ /apps"]
